%global bootstrap 1

Summary: KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Name:    kf5-kio
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+ and MIT and BSD
URL:     https://invent.kde.org/frameworks/kio
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kio-%{version}.tar.xz
Patch0001: 1414.patch
Patch0002: eb12ebeab5a6408c483ecbe681a353bb95cff782.patch

%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros
BuildRequires:  kf5-karchive-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kcrash-devel >= %{majmin}
BuildRequires:  kf5-kdoctools-devel >= %{majmin}, kf5-kdbusaddons-devel >= %{majmin}, kf5-kguiaddons-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}
BuildRequires:  kf5-kservice-devel >= %{majmin}, kf5-solid-devel >= %{majmin}, kf5-kbookmarks-devel >= %{majmin}, kf5-kcompletion-devel >= %{majmin}
BuildRequires:  kf5-kconfigwidgets-devel >= %{majmin}, kf5-kiconthemes-devel >= %{majmin}, kf5-kitemviews-devel >= %{majmin}, kf5-kjobwidgets-devel >= %{majmin}
BuildRequires:  kf5-kwindowsystem-devel >= %{majmin}, kf5-knotifications-devel >= %{majmin}, kf5-ktextwidgets-devel >= %{majmin}, kf5-kwallet-devel >= %{majmin}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{majmin}, kf5-kxmlgui-devel >= %{majmin}
BuildRequires:  krb5-devel, libacl-devel, libxml2-devel, libxslt-devel, pkgconfig(blkid), pkgconfig(mount), zlib-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtscript-devel, qt5-qtx11extras-devel, cmake(Qt5UiPlugin), cmake(Qt5Qml)

%if ! 0%{?bootstrap}
BuildRequires: kf5-kded-devel
BuildRequires:  kf5-kinit-devel
%endif

Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-widgets = %{version}-%{release}
Requires:       %{name}-file-widgets = %{version}-%{release}
Requires:       %{name}-ntlm = %{version}-%{release}
Requires:       %{name}-gui = %{version}-%{release}
Requires:       kf5-kded

%global _with_html --with-html

%description
KDE Frameworks 5 Tier 3 solution for filesystem abstraction

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kbookmarks-devel >= %{majmin}
Requires:       kf5-kcompletion-devel >= %{majmin}
Requires:       kf5-kconfig-devel >= %{majmin}
Requires:       kf5-kcoreaddons-devel >= %{majmin}
Requires:       kf5-kitemviews-devel >= %{majmin}
Requires:       kf5-kjobwidgets-devel >= %{majmin}
Requires:       kf5-kservice-devel >= %{majmin}
Requires:       kf5-solid-devel >= %{majmin}
Requires:       kf5-kxmlgui-devel >= %{majmin}
Requires:       kf5-kwindowsystem-devel >= %{majmin}
Requires:       qt5-qtbase-devel



%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name}-core = %{version}-%{release}
Obsoletes:      kf5-kio-doc < 5.11.0-3
BuildArch:      noarch

%description    doc
Documentation for %{name}.

%package        core
Summary:        Core components of the KIO Framework
%{?kf5_kinit_requires}
Requires:       %{name}-core-libs = %{version}-%{release}
Requires:       %{name}-doc = %{version}-%{release}

%description    core
KIOCore library provides core non-GUI components for working with KIO.

%package        core-libs
Summary:        Runtime libraries for KIO Core
Requires:       %{name}-core = %{version}-%{release}

%description    core-libs
%{summary}.

%package        widgets
Summary:        Widgets for KIO Framework
%{?kf5_kinit_requires}
Requires:       %{name}-core = %{version}-%{release}

%description    widgets
KIOWidgets contains classes that provide generic job control, progress
reporting, etc.

%package        widgets-libs
Summary:        Runtime libraries for KIO Widgets library
Requires:       %{name}-widgets = %{version}-%{release}

%description    widgets-libs
%{summary}.

%package        file-widgets
Summary:        Widgets for file-handling for KIO Framework
Requires:       %{name}-widgets = %{version}-%{release}

%description    file-widgets
The KIOFileWidgets library provides the file selection dialog and
its components.

%package        gui
Summary:        Gui components for the KIO Framework
Requires:       %{name}-core = %{version}-%{release}
Recommends:     switcheroo-control

%description    gui
%{summary}.

%package        ntlm
Summary:        NTLM support for KIO Framework

%description    ntlm
KIONTLM provides support for NTLM authentication mechanism in KIO



%prep
%autosetup -n kio-%{version} -p1



%build
%cmake_kf5
%cmake_build



%install
%cmake_install

%find_lang %{name} --all-name --with-man --with-html



%files
%license LICENSES/*.txt
%doc README.md

%files core
%{_kf5_bindir}/ktelnetservice5
%{_kf5_bindir}/kcookiejar5
%{_kf5_bindir}/ktrash5
%{_kf5_libexecdir}/kio_http_cache_cleaner
%{_kf5_libexecdir}/kpac_dhcp_helper
%{_kf5_libexecdir}/kioexec
%{_kf5_libexecdir}/kioslave5
%{_kf5_libexecdir}/kiod5
%{_kf5_sysconfdir}/xdg/accept-languages.codes
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_plugindir}/kio/
%{_kf5_plugindir}/kded/
%{_kf5_qtplugindir}/kcm_*.so
%{_kf5_plugindir}/kiod/
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/knotifications5/proxyscout.*
%{_kf5_datadir}/kf5/kcookiejar/domain_info
%{_kf5_datadir}/applications/*.desktop
%{_kf5_datadir}/kconf_update/*
%{_datadir}/dbus-1/services/org.kde.*.service

%files core-libs
%{_kf5_libdir}/libKF5KIOCore.so.*

%files doc -f %{name}.lang
%{_kf5_mandir}/man8/kcookiejar5.8*
%{_kf5_docdir}/HTML/*/*

%files gui
%{_kf5_libdir}/libKF5KIOGui.so.*

%files widgets
%config %{_kf5_sysconfdir}/xdg/kshorturifilterrc
%dir %{_kf5_plugindir}/urifilters/
%{_kf5_datadir}/kservices5/searchproviders
%{_kf5_datadir}/kservices5/webshortcuts.desktop
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_plugindir}/urifilters/*.so
%{_kf5_qtplugindir}/kcm_webshortcuts.so
%{_kf5_qtplugindir}/plasma/kcms/systemsettings/kcm_smb.so
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_*.so

%files widgets-libs
%{_kf5_libdir}/libKF5KIOWidgets.so.*
%{_kf5_qtplugindir}/designer/*5widgets.so

%files file-widgets
%{_kf5_libdir}/libKF5KIOFileWidgets.so.*

%files ntlm
%{_kf5_libdir}/libKF5KIONTLM.so.*

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_kf5_archdatadir}/mkspecs/modules/qt_*.pri
%{_kf5_bindir}/protocoltojson
%{_kf5_datadir}/kdevappwizard/templates/kioworker.tar.bz2
%{_kf5_includedir}/*
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KF5KIO/



%changelog
* Tue Nov 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial